Bug 428377 - NetworkManager fails to connect with WPA key if gnome-keyring is not working
NetworkManager fails to connect with WPA key if gnome-keyring is not working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-11 02:24 EST by David Fraser
Modified: 2009-01-09 00:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:45:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Fraser 2008-01-11 02:24:14 EST
Description of problem:
I had forgotten my password for gnome-keyring and was trying to use
NetworkManager to connect to a WPA network

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.6.6.svn3138.fc8
NetworkManager-gnome-0.7.0-0.6.6.svn3138.fc8
NetworkManager-glib-0.7.0-0.6.6.svn3138.fc8
gnome-keyring-2.20.2-1.fc8

How reproducible:
Consistently

Steps to Reproduce:
1. Select WPA network from NetworkManager applet
2. Click Deny when asked for gnome-keyring password
3. Enter WPA password when prompted
4. Click Deny when asked for gnome-keyring password

Actual results:
NetworkManager says "Disconnected from Network"

Expected results:
NetworkManager connects to network

Additional info:
This seemed to work with the previous version of NetworkManager. It should be
possible to use NetworkManager to connect to a wireless network without storing
the password in your keyring
Comment 1 Bug Zapper 2008-11-26 04:23:23 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 00:45:56 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.